package cn.ibizlab.r7.runtime.client.base.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import java.io.Serializable;
import java.math.BigDecimal;
import cn.ibizlab.r7.runtime.core.client.model.IUniRes;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 接口实体[UniRes] 对象
 */
public class UniResImpl implements IUniRes,Serializable{

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public Timestamp updateDate;

    @JsonIgnore
    public boolean updateDateDirtyFlag;
    
    /**
     * 统一资源名称
     */
    public String uniResName;

    @JsonIgnore
    public boolean uniResNameDirtyFlag;
    
    /**
     * 统一资源标识
     */
    public String uniResId;

    @JsonIgnore
    public boolean uniResIdDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public Timestamp createDate;

    @JsonIgnore
    public boolean createDateDirtyFlag;
    
    /**
     * 是否启用
     */
    public Integer enable;

    @JsonIgnore
    public boolean enableDirtyFlag;
    
    /**
     * 建立人
     */
    public String createMan;

    @JsonIgnore
    public boolean createManDirtyFlag;
    
    /**
     * 更新人
     */
    public String updateMan;

    @JsonIgnore
    public boolean updateManDirtyFlag;
    
    /**
     * 系统名称
     */
    public String systemName;

    @JsonIgnore
    public boolean systemNameDirtyFlag;
    
    /**
     * 业务系统标识
     */
    public String systemId;

    @JsonIgnore
    public boolean systemIdDirtyFlag;
    
    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

     /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }   

    /**
     * 获取 [统一资源名称]
     */
    @JsonProperty("uniresname")
    public String getUniResName(){
        return this.uniResName ;
    }

    /**
     * 设置 [统一资源名称]
     */
    @JsonProperty("uniresname")
    public void setUniResName(String  uniResName){
        this.uniResName = uniResName ;
        this.uniResNameDirtyFlag = true ;
    }

     /**
     * 获取 [统一资源名称]脏标记
     */
    @JsonIgnore
    public boolean getUniResNameDirtyFlag(){
        return this.uniResNameDirtyFlag ;
    }   

    /**
     * 获取 [统一资源标识]
     */
    @JsonProperty("uniresid")
    public String getUniResId(){
        return this.uniResId ;
    }

    /**
     * 设置 [统一资源标识]
     */
    @JsonProperty("uniresid")
    public void setUniResId(String  uniResId){
        this.uniResId = uniResId ;
        this.uniResIdDirtyFlag = true ;
    }

     /**
     * 获取 [统一资源标识]脏标记
     */
    @JsonIgnore
    public boolean getUniResIdDirtyFlag(){
        return this.uniResIdDirtyFlag ;
    }   

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

     /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }   

    /**
     * 获取 [是否启用]
     */
    @JsonProperty("enable")
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    @JsonProperty("enable")
    public void setEnable(Integer  enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

     /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }   

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

     /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }   

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

     /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }   

    /**
     * 获取 [系统名称]
     */
    @JsonProperty("systemname")
    public String getSystemName(){
        return this.systemName ;
    }

    /**
     * 设置 [系统名称]
     */
    @JsonProperty("systemname")
    public void setSystemName(String  systemName){
        this.systemName = systemName ;
        this.systemNameDirtyFlag = true ;
    }

     /**
     * 获取 [系统名称]脏标记
     */
    @JsonIgnore
    public boolean getSystemNameDirtyFlag(){
        return this.systemNameDirtyFlag ;
    }   

    /**
     * 获取 [业务系统标识]
     */
    @JsonProperty("systemid")
    public String getSystemId(){
        return this.systemId ;
    }

    /**
     * 设置 [业务系统标识]
     */
    @JsonProperty("systemid")
    public void setSystemId(String  systemId){
        this.systemId = systemId ;
        this.systemIdDirtyFlag = true ;
    }

     /**
     * 获取 [业务系统标识]脏标记
     */
    @JsonIgnore
    public boolean getSystemIdDirtyFlag(){
        return this.systemIdDirtyFlag ;
    }   

}
